Package de.willuhn.jameica.hbci.gui.input

# Class IBANInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.TextInput
de.willuhn.jameica.hbci.gui.input.IBANInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class IBANInput extends de.willuhn.jameica.gui.input.TextInput
Implementierung eines Eingabefeldes fuer die IBAN. Erlaubt die Eingabe von kleinen Buchstaben - ersetzt jedoch die ersten beiden gegen Gross-Buchstaben.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.input.TextInput

`text`

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`IBANInput(String value, de.willuhn.jameica.gui.input.Input bicInput)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue()`
Ueberschrieben, um sicherzustellen, dass die IBAN keine Leerzeichen enthaelt.
`void`
`setValidChars(String chars)`
Ueberschrieben, um zusaetzlich noch die Leerzeichen zuzulassen.
`void`
`setValue(Object value)`

### Methods inherited from class de.willuhn.jameica.gui.input.TextInput

`disable, enable, focus, getControl, getHint, getTextWidget, isEnabled, setEnabled, setHint, setMaxLength`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IBANInput

public IBANInput(String value, de.willuhn.jameica.gui.input.Input bicInput)
ct.

Parameters:
  `value` - die IBAN.
  `bicInput` - optionale Angabe des zugehoerigen Eingabefeldes mit der BIC. Dessen Wert kann dann bei Eingabe einer IBAN automatisch mit der passenden BIC vervollstaendigt werden.

## Method Details

### setValue

public void setValue(Object value)

Specified by:
  `setValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `setValue` in class `de.willuhn.jameica.gui.input.TextInput`
See Also:
  - `TextInput.setValue(java.lang.Object)`

### getValue

public Object getValue()
Ueberschrieben, um sicherzustellen, dass die IBAN keine Leerzeichen enthaelt.

Specified by:
  `getValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getValue` in class `de.willuhn.jameica.gui.input.TextInput`
See Also:
  - `TextInput.getValue()`

### setValidChars

public void setValidChars(String chars)
Ueberschrieben, um zusaetzlich noch die Leerzeichen zuzulassen.

Overrides:
  `setValidChars` in class `de.willuhn.jameica.gui.input.AbstractInput`
See Also:
  - `AbstractInput.setValidChars(java.lang.String)`